'use strict';
var config = module.exports;
var pjson = require("../package.json");
var env = process.env.NODE_ENV;
var mongodb = {
    headlight_main: {
        port: 31117,
            host: "192.168.5.163",
            db: "headlight",
            options: {
            db: {
                native_parser: true
            },
            server: {
                socketOptions: {
                    socketTimeoutMS: 1000,
                        connectionTimeout: 2000,
                        keepAlive: 300000
                }
            }
        }
    }
};

config.mongodb = mongodb;
config.protocol = 'http://';
config.crypto = {
    secret: 'zAc2Y6Y7g3+7M28fJ573f_5Ku~.%4G2f%897w4tH~T~9DZAz7+.54G_|=.-kX3NE'
}

if(env){
    config.mongodb = JSON.parse(process.env.MONGODB) || mongodb;
}

config.package = pjson;

