'use strict';
var mongoDb = require('mongoose');
const util = require('util');

mongoDb.connectDb  = function (connectionSetting){
    var connectionOptions = connectionSetting.options;
    connectionSetting = util.format('mongodb://%s:%s/%s', connectionSetting.host, connectionSetting.port, connectionSetting.db);

    return new Promise(function(resolve, reject){
        var dbContext = mongoDb.createConnection(connectionSetting, connectionOptions);

        dbContext.on('connected', function (){
            console.log('MongoDB event disconnected');
            resolve(dbContext);
        });

        dbContext.on('error', function(err){
            reject(err);
        });

    });
};

//mongoDb.uniqueValidator =

module.exports = mongoDb;
